      SUBROUTINE EIGSRT(EIGVAL,ORDVEC)                                  EIGS001
C-----------------------------------------------------------------------EIGS002
C                                                                       EIGS003
C  SUBROUTINE EIGSRT  -  Sort the eigen vectors into descending order   EIGS004
C                        of eigen value                                 EIGS005
C                                                                       EIGS006
C----------------------------------------------------------------------+EIGS007
                                                                        EIGS008
      INTEGER       ORDVEC(3), I, ISWAP, J, K                           EIGS009
      REAL          EIGVAL(3)                                           EIGS010
                                                                        EIGS011
C---- Bubble sort the eigenvalues                                       EIGS012
      ORDVEC(1) = 1                                                     EIGS013
      ORDVEC(2) = 2                                                     EIGS014
      ORDVEC(3) = 3                                                     EIGS015
                                                                        EIGS016
C---- Repeate the sort twice                                            EIGS017
      DO 580, K = 1, 2                                                  EIGS018
          DO 560, J = 1, 2                                              EIGS019
              DO 540, I = J + 1, 3                                      EIGS020
                  IF (EIGVAL(ORDVEC(I)).GT.EIGVAL(ORDVEC(J))) THEN      EIGS021
                      ISWAP = ORDVEC(I)                                 EIGS022
                      ORDVEC(I) = ORDVEC(J)                             EIGS023
                      ORDVEC(J) = ISWAP                                 EIGS024
                  ENDIF                                                 EIGS025
 540          CONTINUE                                                  EIGS026
 560      CONTINUE                                                      EIGS027
 580  CONTINUE                                                          EIGS028
                                                                        EIGS029
      RETURN                                                            EIGS030
      END                                                               EIGS031
